16

This is about MiKTeX Revision 2.9.6360.

Immediately after the latest MiKTeX update, my Beamer files stopped compiling. When i tried to compile a file that had been working fine I got a Package installation popup saying:

tex\latex\beamer\beamerbasemodes.sty

Is missing.  It is part of the following package

beamer

So i clicked to have it installed. All that achieved is that i got an error message

! LaTeX error: File 'beamerbasemodes.sty' not found

I repeated this a few times with minor changes to the file, and then went to the MiKTeX Package Manager to see what parts of Beamer are installed. It said none were.

Either the update had removed Beamer, or the attempt to install beamerbasemodes on the fly had done it. So I reinstalled it by hand. In fact i did this several times in various ways. It made one difference. Sometimes the problem package was identified as

translator.sty

In case it would help, I ran Update FNDB and restarted my machine. Each time I installed Beamer, the Package Manager then reported that Beamer was installed.

But when I tried to compile the file, the same things happened all over. And when i went back to the MiKTeX Package Manager it reported Beamer is not installed.

Is Beamer now out of date? Or is this a problem on the new update? Is there a simple fix i can use?

  • 3
    We've moved translator out as a separate package on CTAN: it may have to be installed by hand ... – Joseph Wright Dec 2 '17 at 18:34
  • Yes, that did it. – Colin McLarty Dec 2 '17 at 19:21
  • @JosephWright Could you write a short answer, so that duplicates of this questions can be marked as such? – user36296 Dec 2 '17 at 21:13
  • 1
    @samcarter I'm not really sure that's the issue: it was more an observation. translator has nothing to do with beamerbasemodes! – Joseph Wright Dec 2 '17 at 21:14
  • 1
    I am experiencing this problem with TeXMaker. I am behind the latest version, but I just updated and the problem persists. – anakhro Dec 2 '17 at 23:34
20

The problem disappeared when I used the MiKTeX Package Manager to install Beamer and translator, used Refresh FNDB, and restarted my machine.

Experience with a second machine shows the latest update indeed replaces the old Beamer with one that does not have translator in it, so I had to install translator separately using the MiKTeX Package Manager. When I did that immediately then the new Beamer stayed installed and there was no need to Refresh FNDB or restart the machine.

But for some reason when I tried to let MiKTeX install translator on the fly it not only failed, but erased my Beamer.

  • 1
    Worked for me too, thanks! To provide insight into my problem, I had never used Beamer before so it was not installed. That's about all. – anakhro Dec 3 '17 at 0:20
  • This doesnt solve the problem for me. I am using the latest Texmaker and Miktex. The presentation uses the metropolis theme. – Julian_W Dec 27 '17 at 15:36
  • Colin, in what directory did you install the translator.sty? in the beamer dir? – An old man in the sea. May 30 at 21:46
  • @Anoldmaninthesea. I did it by the MiKTeX Package Manager so I did not know what directory it went into. But that problem was 17 months ago. – Colin McLarty May 31 at 22:36

protected by Community Jan 28 '18 at 21:00

Thank you for your interest in this question. Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count).

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.